GTPDUMMY(1)

NAME
gtpdummy - Dummy Go program for testing GTP controlling programs.

SYNOPSIS

gtpdummy [-config file] [-log file]

gtpdummy -help

gtpdummy -version

DESCRIPTION

Dummy Go program supporting GTP (Go Text Protocol) for testing GTP controlling programs. Plays random moves. Never plays at a point at which already a move was made, even after the point becomes free again, because of capture. Illegal moves sent to the program are not checked; they are always accepted.

OPTIONS

-config file
    Read command line options and arguments from file.

-help
    Print help and exit.

-log file
    Log GTP stream to file.

-version
    Print version and exit.

GTP EXTENSIONS

dummy_bwboard
    Output a board randomly filled with "B" and "W".

dummy_crash
    Exit program with return code -1.

dummy_delay seconds
    Delay the response to every command. An argument of 0 switches of the delay again. If no argument is given, the current delay value is returned.

dummy_eplist
    Command according to the eplist analyze command type in GoGui. The arguments can be a point list, which is remembered. If the argument is "show", the current point list is shown.

dummy_gfx
    Command for testing the gfx analyze return type of GoGui.

dummy_invalid
    Print an invalid GTP response which does not start with a status character.

dummy_live_gfx
    Command for testing live graphics in GoGui.

dummy_long_response n
    Print a GTP response with n lines.

dummy_next_failure response
    Let next command fail with response.

dummy_next_success response
    Let next command succeed with response.

dummy_sleep seconds
    Sleep for a number of seconds (default 20). This command can be interrupted.

echo
    Print argument as response.

echo_err
    Print argument to standard error.

gogui_interrupt
    Indicate interrupt ability for GoGui.